Subject: [PATCH v4] ARM/serial: at91: switch atmel serial to use gpiolib

From: [email-masked] (Nicolas Ferre)
Date: Fri, 6 Dec 2013 12:23:05 +0100

On 05/12/2013 21:28, Uwe Kleine-K?nig :
> Hello Nicolas,
>
> On Thu, Dec 05, 2013 at 05:57:04PM +0100, Nicolas Ferre wrote:
>> On 04/12/2013 20:16, Uwe Kleine-K?nig :
>>> On Wed, Dec 04, 2013 at 09:09:11AM -0800, Greg Kroah-Hartman wrote:
>>>> On Wed, Dec 04, 2013 at 11:23:53AM +0100, Uwe Kleine-K?nig wrote:
>>>>> Hello Greg, hi Nicolas,
>>>>>
>>>>> On Mon, Dec 02, 2013 at 09:47:50AM +0100, Nicolas Ferre wrote:
>>>>>> On 13/11/2013 17:28, Nicolas Ferre :
>>>>>>> On 07/11/2013 10:25, Linus Walleij :
>>>>>>>> This passes the errata fix using a GPIO to control the RTS pin
>>>>>>>> on one of the AT91 chips to use gpiolib instead of the
>>>>>>>> AT91-specific interfaces. Also remove the reliance on
>>>>>>>> compile-time #defines and the cpu_* check and rely on the
>>>>>>>> platform passing down the proper GPIO pin through platform
>>>>>>>> data.
>>>>>>>>
>>>>>>>> This is a prerequisite for getting rid of the local GPIO
>>>>>>>> implementation in the AT91 platform and move toward
>>>>>>>> multiplatform.
>>>>>>>>
>>>>>>>> The patch also adds device tree support for getting the
>>>>>>>> RTS GPIO pin from the device tree on DT boot paths.
>>>>>>>>
>>>>>>>> Signed-off-by: Nicolas Ferre <[email-masked]>
>>>>>>>> Acked-by: Jean-Christophe PLAGNIOL-VILLARD <[email-masked]>
>>>>>>>> Signed-off-by: Linus Walleij <[email-masked]>
>> [...]
>>> nferre: What is your plan with this patch? Do you have patches
>>> depending on it, too, or is it ok if I take it?
>>
>> Well, the problem is that your branch generates conflicts with the
>> at91/cleanup one that Olof have just pulled. They are not big
>> conflicts, only additions of header files at the same location.
>> Maybe you can rebase your branch on top of this cleanup branch
>> (arm-soc/next/cleanup: 94c5216ee93b3b4).
> Olof said on irc: "that's easy to fix, i'm ok with resolving that when i
> merge". That is what I prefer because I don't want to retest everything
> after rebasing.
>>
>> But, anyway I feel that it is better if you take the whole series in a raw.
> So I can interpret this as your blessing to keep the patch in my series
> based on 3.13-rc1?

Yes, sure.
Moreover, I read that you agreed with Olof about the merge conflict: so 
everything is good and thanks a lot for taking care of this Uwe.

Bye,
-- 
Nicolas Ferre